Skip to content

List events for the authenticated context

GET
/events
status
string

Comma-separated list of statuses to filter by (e.g. live,started)

orderBy
string
Allowed values: start end name

Field to order results by (start, end, or name)

order
string
Allowed values: asc desc

Sort direction

mode
string
Allowed values: edit profile

Response mode - edit returns full Event objects, profile returns EventProfile objects

A list of events or event profiles

object
status
required
string
Allowed values: ok
data
required
Array
One of:

Placeholder schema for Event. Add it to the schemaMap in scripts/create-content/api-docs.mjs for a richer definition.

object

Unauthorized

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Internal server error

object
status
string
Example
error
message
string
Example
An error occurred
error
string